Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3428 - make menuconfig generates wrong .config
Summary: make menuconfig generates wrong .config
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Alan Cox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-13 12:14 UTC by p929001
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-16 16:38:22 UTC


Attachments (Terms of Use)

Description p929001 1999-06-13 12:14:27 UTC
Using 'make menuconfig' generates a .config file that has a
wrong entry. If one deselects the MSDOS file system
(CONFIG_MSDOS_FS), the option for UMSDOS (CONFIG_UMSDOS_FS)
is not shown (which is of course OK). However, in the
.config generated, the entries are

# CONFIG_MSDOS_FS is not set
CONFIG_UMSDOS_FS=y

- which of course generates an error when compiling the
kernel.

Comment 1 Jay Turner 1999-06-14 17:48:59 UTC
Confirmed in test lab.  make xconfig does not have same problem.

Comment 2 Alan Cox 1999-06-16 16:38:59 UTC
We know. Its basically unfixable without a major rewrite of the config
handling. That is being worked on for 2.3/2.4

Alan


Note You need to log in before you can comment on or make changes to this bug.